%
% my-comments.sty.
% 
% Contiene comandos para facilitar la introducción de notas durante la escritura
% del documento.
%
%

\RequirePackage{soul}
\sethlcolor{yellow}
\RequirePackage{todonotes}


%
% HIGHLIGHT TEXT
%

\newcommand{\hlbf}[1]{\textbf{\hl{(#1)}}}

%
% HIGHLIGHT EQUATIONS
%
%\newcommand{\mathcolorbox}[2]{\colorbox{#1}{$\displaystyle #2$}}
\newcommand{\mathcolorbox}[1]{\colorbox{red!30}{$\displaystyle #1$}}
%\newcommand{\mathcolorbox}[2]{\colorbox{#1}{$\displaystyle #2$}}


%
% COMMMENTS:
% 
\newcommand{\inlinenote}[1]{{\todo[inline,caption={},size=\scriptsize,color=green!30]{\setstretch{0.8} #1}}}
\newcommand{\nb}[1]{{\color{red}#1}}

\newcommand{\addref}{\todo[color=red!30,size=\scriptsize]{ref}}
\newcommand{\rewrite}[1]{\todo[color=green!30,size=\scriptsize]{#1}}